J

Sat is incompatible with latest wokkel version (archlinux)

  File "/usr/lib/python3.9/site-packages/twisted/plugins/sat_plugin.py", line 32, in <module>
    install_wokkel_patches()
  File "/usr/lib/python3.9/site-packages/sat_tmp/wokkel/__init__.py", line 24, in install
    from . import pubsub, rsm, mam, data_form
  File "/usr/lib/python3.9/site-packages/sat_tmp/wokkel/pubsub.py", line 66, in <module>
    from wokkel import disco, data_form, generic, shim
  File "/usr/lib/python3.9/site-packages/wokkel/disco.py", line 20, in <module>
    from wokkel import data_form, generic
  File "/usr/lib/python3.9/site-packages/wokkel/data_form.py", line 20, in <module>
    from twisted.python.compat import iteritems, unicode, _PY3
builtins.ImportError: cannot import name '_PY3' from 'twisted.python.compat' (unknown location)
id

358

author

Jnanar

created

08/04/2021, 13:05

updated

08/04/2021, 13:05

labels
sat
type
bug
status
queued
priority
normal
milestone
0.7
severity
normal